{% extends 'soca9.jinja2' %}
{# Power control us via USB #}
{% set hard_reset_command = ['/usr/local/lab-scripts/snmp_pdu_control --hostname pdu19 --command reboot --port 9 --delay 20',
'/usr/local/lab-scripts/snmp_pdu_control --hostname pdu19 --command reboot --port 13 --delay 20'] %}
{% set power_off_command = ['/usr/local/lab-scripts/snmp_pdu_control --hostname pdu19 --command off --port 9',
'/usr/local/lab-scripts/snmp_pdu_control --hostname pdu19 --command off --port 13'] %}
{% set power_on_command = ['/usr/local/lab-scripts/snmp_pdu_control --hostname pdu19 --command on --port 9','/usr/local/lab-scripts/snmp_pdu_control --hostname pdu19 --command on --port 13'] %}
{% set connection_list = ['uart0'] %}
{% set connection_tags = {'uart0': ['primary', 'telnet']} %}
{% set connection_commands = {'uart0': 'telnet dispatcher04 7130'} %}
{% set uboot_needs_interrupt = false %}
{% set flasher_deploy_commands = ['/usr/local/bin/sd-mux-ctrl -e sdw-1 --ts',
                                  'sleep 1',
                                  '/usr/local/lab-scripts/flashing_command -l "{LAYOUT}" -i "{IMAGE}" -t /dev/disk/by-id/usb-Generic_Ultra_HS-SD_MMC_000000264001-0:0',
                                  '/usr/local/bin/sd-mux-ctrl -e sdw-1 --dut'] %}
{% set user_commands = {'j17_on': {'do': "/usr/local/lab-scripts/snmp_switch_control --hostname testing-sw01 --port 45 --command on",
                                   'undo': "/usr/local/lab-scripts/snmp_switch_control --hostname testing-sw01 --port 45 --command off"},
                        'j17_off': {'do': "/usr/local/lab-scripts/snmp_switch_control --hostname testing-sw01 --port 45 --command off"},
                        'j21_on': {'do': "/usr/local/lab-scripts/snmp_switch_control --hostname switch09 --port 15 --port_base 49 --command on"},
                        'j21_off': {'do': "/usr/local/lab-scripts/snmp_switch_control --hostname switch09 --port 15 --port_base 49 --command off",
                                    'undo': "/usr/local/lab-scripts/snmp_switch_control --hostname switch09 --port 15 --port_base 49 --command on"},
                        'j22_on': {'do': "/usr/local/lab-scripts/snmp_switch_control --hostname testing-sw01 --port 46 --command on",
                                   'undo': "/usr/local/lab-scripts/snmp_switch_control --hostname testing-sw01 --port 46 --command off"},
                        'j22_off': {'do': "/usr/local/lab-scripts/snmp_switch_control --hostname testing-sw01 --port 46 --command off"},
                        'j23_on': {'do': "/usr/local/lab-scripts/snmp_switch_control --hostname testing-sw01 --port 47 --command on",
                                   'undo': "/usr/local/lab-scripts/snmp_switch_control --hostname testing-sw01 --port 47 --command off"},
                        'j23_off': {'do': "/usr/local/lab-scripts/snmp_switch_control --hostname testing-sw01 --port 47 --command off"},
                        'j24_on': {'do': "/usr/local/lab-scripts/snmp_switch_control --hostname testing-sw01 --port 48 --command on",
                                   'undo': "/usr/local/lab-scripts/snmp_switch_control --hostname testing-sw01 --port 48 --command off"},
                        'j24_off': {'do': "/usr/local/lab-scripts/snmp_switch_control --hostname testing-sw01 --port 48 --command off"}
} %}

{% set bootz_kernel_addr = "0x84000000" %}
{% set bootz_ramdisk_addr = "0x80100000" %}
{% set bootz_dtb_addr = "0x80f00000" %}

{% set sync_to_lava = {'device_type': 'soca9', 'worker': 'dispatcher04.lavalab', 'tags': [], 'aliases': []} %}
